<div class="container-fluid">
      <style>
      div {
          background-color: lightgrey;
          width: 100%;
          height: 100%;
          padding: 25px;
          border: 25px solid navy;
          margin: 25px;
          text-align:center;
        }
      </style>  
<%= link_to 'Logout', articles_path, :class=>"btn btn-success pull-right" %>
<h1> Write your idea </h1>

<%= form_for :article, url: articles_path do |f| %>
 
  <% if @article.errors.any? %>
    <div id="error_explanation">
      <h2>
        <%= pluralize(@article.errors.count, "error") %> prohibited
        this article from being saved:
      </h2>
      <ul>
        <% @article.errors.full_messages.each do |msg| %>
          <li><%= msg %></li>
        <% end %>
      </ul>
    </div>
  <% end %>
 
  <p>
    <%= f.label :title %>
    </button><br>
    <%= f.text_field :title, size: "30x10"   %>
  </p>
 
  <p>
    <%= f.label :text %><br>
    <%= f.text_area :text, size: "90x12" %>
  </p>
 
  <p>
    <%= f.submit   %>
  </p>
 
<% end %>
 
<%= link_to 'Back', articles_path, :class=>"btn btn-danger" %>
<%= link_to 'Home', articles_path, :class=>"btn btn-success" %>
<h2> List of Articles </h2>
<% @articles.each do |article| %>
<div class="well">
  <h3><%= article.title %></h3>
  <p><%= article.text.gsub(/^(.{50,}?).*$/m,'\1...')%>
</p>
  <td><%= link_to 'Show More' , article_path(article), :class=>"btn btn-success pull-center"%></td><br>&nbsp;
  <td><%= link_to 'Edit', edit_article_path(article), :class=>"btn btn-success pull-left" %></td>&nbsp;
  <td><%= link_to 'Delete', article,method: :delete, :class=>"btn btn-danger pull-right" %></td>
</div>
<%end%>


</div>